MWAWContentListenerInternal::State Struct Reference

the state of a MWAWContentListener More...

## Public Member Functions

| State ()
| constructor More...
| ~State ()
| destructor More...

## Public Attributes

WPXString | m_textBuffer
| a buffer to stored the text More...
int | m_numDeferredTabs
| the number of tabs to add More...
MWAWFont | m_font
| the font More...
MWAWParagraph | m_paragraph
| the paragraph More...
int | m_paragraphNeedBreak
| a sequence of bit used to know if we need page/column break More...
shared_ptr< MWAWList > | m_list
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isFrameOpened
bool | m_isPageSpanBreakDeferred
bool | m_isHeaderFooterWithoutParagraph
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
std::vector< unsigned int > | m_numRowsToSkip
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
MWAWPageSpan | m_pageSpan
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_sectionAttributesChanged
MWAWSection | m_section
| the section More...
std::vector< bool > | m_listOrderedLevels
bool | m_inSubDocument
| a stack used to know what is open More...
bool | m_isNote
libmwaw::SubDocumentType | m_subDocumentType

## Private Member Functions

| State (const State &)
State & | operator= (const State &)

## Detailed Description

the state of a MWAWContentListener

## Constructor & Destructor Documentation

MWAWContentListenerInternal::State::State | ( |  | ) |

constructor

MWAWContentListenerInternal::State::~State | ( |  | ) |

inline

destructor

MWAWContentListenerInternal::State::State | ( | const State & |  | ) |

private

## Member Function Documentation

State& MWAWContentListenerInternal::State::operator= | ( | const State & |  | ) |

private

## Member Data Documentation

unsigned MWAWContentListenerInternal::State::m_currentPage

int MWAWContentListenerInternal::State::m_currentPageNumber

bool MWAWContentListenerInternal::State::m_firstParagraphInPageSpan

MWAWFont MWAWContentListenerInternal::State::m_font

the font

bool MWAWContentListenerInternal::State::m_inSubDocument

a stack used to know what is open

bool MWAWContentListenerInternal::State::m_isFrameOpened

bool MWAWContentListenerInternal::State::m_isHeaderFooterWithoutParagraph

bool MWAWContentListenerInternal::State::m_isListElementOpened

bool MWAWContentListenerInternal::State::m_isNote

bool MWAWContentListenerInternal::State::m_isPageSpanBreakDeferred

bool MWAWContentListenerInternal::State::m_isPageSpanOpened

bool MWAWContentListenerInternal::State::m_isParagraphOpened

bool MWAWContentListenerInternal::State::m_isSectionOpened

bool MWAWContentListenerInternal::State::m_isSpanOpened

bool MWAWContentListenerInternal::State::m_isTableCellOpened

bool MWAWContentListenerInternal::State::m_isTableColumnOpened

bool MWAWContentListenerInternal::State::m_isTableOpened

bool MWAWContentListenerInternal::State::m_isTableRowOpened

shared_ptr<MWAWList> MWAWContentListenerInternal::State::m_list

std::vector<bool> MWAWContentListenerInternal::State::m_listOrderedLevels

int MWAWContentListenerInternal::State::m_numDeferredTabs

the number of tabs to add

int MWAWContentListenerInternal::State::m_numPagesRemainingInSpan

std::vector<unsigned int> MWAWContentListenerInternal::State::m_numRowsToSkip

MWAWPageSpan MWAWContentListenerInternal::State::m_pageSpan

MWAWParagraph MWAWContentListenerInternal::State::m_paragraph

the paragraph

int MWAWContentListenerInternal::State::m_paragraphNeedBreak

a sequence of bit used to know if we need page/column break

MWAWSection MWAWContentListenerInternal::State::m_section

the section

bool MWAWContentListenerInternal::State::m_sectionAttributesChanged

libmwaw::SubDocumentType MWAWContentListenerInternal::State::m_subDocumentType

WPXString MWAWContentListenerInternal::State::m_textBuffer

a buffer to stored the text

The documentation for this struct was generated from the following file:

- MWAWContentListener.cxx